ONVIF::PTZ::Elements::GetPresetTourOptions(3pm)

NAME
ONVIF::PTZ::Elements::GetPresetTourOptions

DESCRIPTION
Perl data type class for the XML Schema defined element GetPresetTourOptions from the namespace http://www.onvif.org/ver20/ptz/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ProfileToken

     $element->set_ProfileToken($data);
     $element->get_ProfileToken();

•   PresetTourToken

     $element->set_PresetTourToken($data);
     $element->get_PresetTourToken();

METHODS

  new
 my $element = ONVIF::PTZ::Elements::GetPresetTourOptions->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   PresetTourToken => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL